using System;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace AeonsOfTerraria.Items {
public class TrueCoreAes : ModItem
{
    public override void SetDefaults()
    {
        item.name = "True Core (Aes)";
        item.width = 20;
        item.height = 30;
        item.maxStack = 999;
        AddTooltip("The core of metals.");
        item.value = 100;
        item.rare = 10;
    }

    public override void AddRecipes()
    {
        ModRecipe recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.IronBroadsword);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.IronShortsword);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.LeadBroadsword);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.LeadShortsword);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

        recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.LeadHammer);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.IronHammer);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.LeadAxe);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.LeadBow);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.LeadPickaxe);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.IronPickaxe);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.IronAxe);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.IronBow);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.IronGreaves);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.IronHelmet);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.IronChainmail);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();			
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.LeadGreaves);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.LeadHelmet);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.LeadChainmail);
		recipe.AddTile(null, "AncientTransmuter");
        recipe.SetResult(this, 8);
        recipe.AddRecipe();	
    }
}}