using System;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace AeonsOfTerraria.Items {
public class TrueCoreFerus : ModItem
{
    public override void SetDefaults()
    {
        item.name = "True Core (Ferus)";
        item.width = 20;
        item.height = 30;
        item.maxStack = 999;
        AddTooltip("The essence of the wild.");
        item.value = 100;
        item.rare = 10;
    }

    public override void AddRecipes()
    {
        ModRecipe recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.ChlorophytePlateMail);
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.ChlorophyteGreaves);
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.ChlorophyteHeadgear);
        recipe.SetResult(this, 8);
        recipe.AddRecipe();
		
		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.ChlorophyteMask);
        recipe.SetResult(this, 8);
        recipe.AddRecipe();

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.ChlorophyteHelmet);
        recipe.SetResult(this, 8);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.ChlorophyteDrill);
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.ChlorophytePickaxe);
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.ChlorophyteChainsaw);
        recipe.SetResult(this, 5);
        recipe.AddRecipe();

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.ChlorophyteGreataxe);
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.ChlorophyteJackhammer);
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.ChlorophyteWarhammer);
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.ChlorophyteShotbow);
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.ChlorophyteSaber);
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.ChlorophyteClaymore);
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.ChlorophytePartisan);
        recipe.SetResult(this, 5);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.TurtleHelmet);
        recipe.SetResult(this, 8);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.TurtleScaleMail);
        recipe.SetResult(this, 8);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.TurtleLeggings);
        recipe.SetResult(this, 8);
        recipe.AddRecipe();	

		recipe = new ModRecipe(mod);
        recipe.AddIngredient(ItemID.VenomStaff);
        recipe.SetResult(this, 5);
        recipe.AddRecipe();			

    }
}}