using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Terraria;
using Terraria.ModLoader;

namespace AeonsOfTerraria.Projectiles {
public class Taze : ModProjectile
{	

	public override void SetDefaults()
	{
		projectile.name = "Taze";
		projectile.width = 3;
		projectile.height = 25;
		projectile.aiStyle = -1;
		projectile.friendly = true;
		projectile.penetrate = 2;
		projectile.light = 0.75f;
		projectile.alpha = 100;
		projectile.scale = 1.5f;
		projectile.extraUpdates = 1;
		projectile.timeLeft = 600;
		projectile.magic = true;
	}
	
	public override void AI()
	{
		projectile.rotation = (float)Math.Atan(projectile.velocity.Y/projectile.velocity.X) + (float)projectile.direction*((float)Math.PI/2);
	}
	
	public override void OnHitNPC(NPC target, int damage, float knockback, bool crit)
	{
		if(Main.rand.Next(10) == 1)
		{
			target.AddBuff(31,10);
		}
	}
}	
}