using System;
using Microsoft.Xna.Framework;
using Terraria;
using Terraria.ModLoader;

namespace AeonsOfTerraria.Items {
public class Astralarang : ModItem
{
	
    public override void SetDefaults()
    {
        item.name = "Astralarang";
        item.damage = 64;
        item.melee = true;
		item.noMelee = true;
		item.noUseGraphic = true;
        item.width = 28;
        item.height = 49;
        item.toolTip = "The fusion of astral energy and heaven.";
        item.useTime = 10;
        item.useAnimation = 35;
        item.useStyle = 1;
		item.shootSpeed = 16f;
		item.shoot = mod.ProjectileType("Astralarang");
        item.knockBack = 6;
		item.useSound = 1;
		item.scale = 0.8f;
        item.value = 10000;
        item.rare = 9;
        item.useSound = 1;
        item.autoReuse = false;
    }

    public override void AddRecipes()
    {
        ModRecipe recipe = new ModRecipe(mod);
        recipe.AddIngredient(null, "TrueCoreCaelum", 20);
        recipe.SetResult(this);
        recipe.AddRecipe();
    }
	
	public override bool Shoot(Player player, ref Vector2 position, ref float speedX, ref float speedY, ref int type, ref int damage, ref float knockBack)
    {			
		if(player.itemAnimation <= 15)
		{
			return false;
		}
			
		if(player.itemAnimation <= 20) Main.PlaySound(2,position,item.useSound);
		Projectile.NewProjectile(position.X,position.Y-10f,speedX,speedY,type,damage,knockBack,Main.myPlayer);
					
		return false;
    }

}}